Class | Chef::Provider::User::Windows
In: | lib/chef/provider/user/windows.rb
Parent: | Chef::Provider::User

### Methods

check_lock compare_user create_user load_current_resource lock_user manage_user new remove_user set_options unlock_user

### Public Class methods

new(new_resource,run_context)

### Public Instance methods

check_lock()
compare_user()

Check to see if the user needs any changes

### Returns

<true>: | If a change is required
<false>: | If the users are identical

create_user()
load_current_resource()
lock_user()
manage_user()
remove_user()
set_options()
unlock_user()

[Validate]